#ifndef gvision_h
#define gvision_h

#define far
#define near
#define interrupt
#define huge

#define BIOS_SEG 0xE0000000
#define MK_FP(X, Y) ( ((X) << 4) | (Y) | (BIOS_SEG) )

#define memmove(X, Y, Z) memcpy((X), (Y), (Z))
#define  movmem(X, Y, Z) memcpy((Y), (X), (Z))

#define MAXPATH    80
#define MAXPATHLEN 80
#define MAXDRIVE   3
#define MAXDIR     66
#define MAXFILE    9
#define MAXEXT     5

#define WILDCARDS 0x01
#define EXTENSION 0x02
#define FILENAME  0x04
#define DIRECTORY 0x08
#define DRIVE     0x10

int fnsplit(const char *path, char *drive, char *dir, char *name, char *ext);
void fnmerge(char *path, const char *drive, const char *dir,
                         const char *name, const char *ext);

int  getcurdir(int drive, char *directory);
long filelength(int fd);

void chdrive(int);
int  getdrive(void);
inline int  getdisk(void)  {return getdrive();}
inline void setdisk(int d) {chdrive(d);}

int strnicmp(const char *, const char *, int);

#if __STDC__
#  define _Cdecl
#else
#  define _Cdecl  cdecl
#endif

#endif // gvision_h
