@rem --- GVISION diff-maker                                     ---
@rem --- Creates a ready-to-install GVISION directory structure ---

@echo off

if "%2"=="" echo Usage: mkdif [Turbo-Vision path] [GVISION path]
if "%2"=="" exit
if "%1"=="" echo Usage: mkdif [Turbo-Vision path] [GVISION path]
if "%1"=="" exit

@echo on

mkdir include
mkdir include\diff
mkdir source
mkdir source\diff

copy %2\install.bat .
copy %2\patchit.bat .
copy %2\delempty.c .
copy %2\delempty.exe .
copy %2\gvedit.exe .
copy %2\copying .
copy %2\copying.lib .
copy %2\copying.dj .
copy %2\readme.gv .
copy %2\makefile .
diff %1\source\geninc.cpp %2\geninc.cc > source\diff\geninc.dif
diff %1\demos\fileview.cpp %2\fileview.cc > source\diff\fileview.dif

copy %2\include\tvwrite.inc include
copy %2\include\gvision.h include
copy %2\include\intr.h include

diff %1\include\APP.H %2\include\APP.H > include\diff\APP.dif 
diff %1\include\BUFFERS.H %2\include\BUFFERS.H > include\diff\BUFFERS.dif 
diff %1\include\COLORSEL.H %2\include\COLORSEL.H > include\diff\COLORSEL.dif 
diff %1\include\CONFIG.H %2\include\CONFIG.H > include\diff\CONFIG.dif 
diff %1\include\DIALOGS.H %2\include\DIALOGS.H > include\diff\DIALOGS.dif 
diff %1\include\DRAWBUF.H %2\include\DRAWBUF.H > include\diff\DRAWBUF.dif 
diff %1\include\TEXTVIEW.H %2\include\TEXTVIEW.H > include\diff\TEXTVIEW.dif 
diff %1\include\HELP.H %2\include\HELP.H > include\diff\HELP.dif 
diff %1\include\HELPBASE.H %2\include\HELPBASE.H > include\diff\HELPBASE.dif 
diff %1\include\MENUS.H %2\include\MENUS.H > include\diff\MENUS.dif 
diff %1\include\MSGBOX.H %2\include\MSGBOX.H > include\diff\MSGBOX.dif 
diff %1\include\OBJECTS.H %2\include\OBJECTS.H > include\diff\OBJECTS.dif 
diff %1\include\RESOURCE.H %2\include\RESOURCE.H > include\diff\RESOURCE.dif 
diff %1\include\STDDLG.H %2\include\STDDLG.H > include\diff\STDDLG.dif 
diff %1\include\SYSTEM.H %2\include\SYSTEM.H > include\diff\SYSTEM.dif 
diff %1\include\TKEYS.H %2\include\TKEYS.H > include\diff\TKEYS.dif 
diff %1\include\EDITORS.H %2\include\EDITORS.H > include\diff\EDITORS.dif 
diff %1\include\TTYPES.H %2\include\TTYPES.H > include\diff\TTYPES.dif 
diff %1\include\TV.H %2\include\TV.H > include\diff\TV.dif 
diff %1\include\TVOBJS.H %2\include\TVOBJS.H > include\diff\TVOBJS.dif 
diff %1\include\UTIL.H %2\include\UTIL.H > include\diff\UTIL.dif 
diff %1\include\VIEWS.H %2\include\VIEWS.H > include\diff\VIEWS.dif 
diff %1\include\TOBJSTRM.H %2\include\TOBJSTRM.H > include\diff\TOBJSTRM.dif 
delempty include\diff

copy %2\source\*.ccs source
copy %2\source\*.s source
copy %2\source\gvision.cc source
copy %2\source\makefile source

diff %1\source\COLORSEL.cpp %2\source\COLORSEL.CC > source\diff\COLORSEL.dif 
diff %1\source\DRIVERS2.cpp %2\source\DRIVERS2.CC > source\diff\DRIVERS2.dif 
diff %1\source\SSCRLBAR.cpp %2\source\SSCRLBAR.CC > source\diff\SSCRLBAR.dif 
diff %1\source\EDITSTAT.cpp %2\source\EDITSTAT.CC > source\diff\EDITSTAT.dif 
diff %1\source\GRP.cpp %2\source\GRP.CC > source\diff\GRP.dif 
diff %1\source\HISTLIST.cpp %2\source\HISTLIST.CC > source\diff\HISTLIST.dif 
diff %1\source\SSCROLLE.cpp %2\source\SSCROLLE.CC > source\diff\SSCROLLE.dif 
diff %1\source\MAPCOLOR.cpp %2\source\MAPCOLOR.CC > source\diff\MAPCOLOR.dif 
diff %1\source\MENU.cpp %2\source\MENU.CC > source\diff\MENU.dif 
diff %1\source\MISC.cpp %2\source\MISC.CC > source\diff\MISC.dif 
diff %1\source\MSGBOX.cpp %2\source\MSGBOX.CC > source\diff\MSGBOX.dif 
diff %1\source\NEWSTR.cpp %2\source\NEWSTR.CC > source\diff\NEWSTR.dif 
diff %1\source\PALETTE.cpp %2\source\PALETTE.CC > source\diff\PALETTE.dif 
diff %1\source\STDDLG.cpp %2\source\STDDLG.CC > source\diff\STDDLG.dif 
diff %1\source\TAPPLICA.cpp %2\source\TAPPLICA.CC > source\diff\TAPPLICA.dif 
diff %1\source\TBKGRND.cpp %2\source\TBKGRND.CC > source\diff\TBKGRND.dif 
diff %1\source\TBUTTON.cpp %2\source\TBUTTON.CC > source\diff\TBUTTON.dif 
diff %1\source\TCHDRDLG.cpp %2\source\TCHDRDLG.CC > source\diff\TCHDRDLG.dif 
diff %1\source\TCHECKBO.cpp %2\source\TCHECKBO.CC > source\diff\TCHECKBO.dif 
diff %1\source\TCLUSTER.cpp %2\source\TCLUSTER.CC > source\diff\TCLUSTER.dif 
diff %1\source\TCMDSET.cpp %2\source\TCMDSET.CC > source\diff\TCMDSET.dif 
diff %1\source\TCOLLECT.cpp %2\source\TCOLLECT.CC > source\diff\TCOLLECT.dif 
diff %1\source\TDESKTOP.cpp %2\source\TDESKTOP.CC > source\diff\TDESKTOP.dif 
diff %1\source\TDIALOG.cpp %2\source\TDIALOG.CC > source\diff\TDIALOG.dif 
diff %1\source\TDIRCOLL.cpp %2\source\TDIRCOLL.CC > source\diff\TDIRCOLL.dif 
diff %1\source\TDIRLIST.cpp %2\source\TDIRLIST.CC > source\diff\TDIRLIST.dif 
diff %1\source\TEVENT.cpp %2\source\TEVENT.CC > source\diff\TEVENT.dif 
diff %1\source\TEDITWND.cpp %2\source\TEDITWND.CC > source\diff\TEDITWND.dif 
diff %1\source\SBKGRND.cpp %2\source\SBKGRND.CC > source\diff\SBKGRND.dif 
diff %1\source\TFILDLG.cpp %2\source\TFILDLG.CC > source\diff\TFILDLG.dif 
diff %1\source\TFILECOL.cpp %2\source\TFILECOL.CC > source\diff\TFILECOL.dif 
diff %1\source\SBUTTON.cpp %2\source\SBUTTON.CC > source\diff\SBUTTON.dif 
diff %1\source\TFILLIST.cpp %2\source\TFILLIST.CC > source\diff\TFILLIST.dif 
diff %1\source\TFRAME.cpp %2\source\TFRAME.CC > source\diff\TFRAME.dif 
diff %1\source\TGROUP.cpp %2\source\TGROUP.CC > source\diff\TGROUP.dif 
diff %1\source\THISTORY.cpp %2\source\THISTORY.CC > source\diff\THISTORY.dif 
diff %1\source\THISTWIN.cpp %2\source\THISTWIN.CC > source\diff\THISTWIN.dif 
diff %1\source\THSTVIEW.cpp %2\source\THSTVIEW.CC > source\diff\THSTVIEW.dif 
diff %1\source\SCHDRDLG.cpp %2\source\SCHDRDLG.CC > source\diff\SCHDRDLG.dif 
diff %1\source\TINPUTLI.cpp %2\source\TINPUTLI.CC > source\diff\TINPUTLI.dif 
diff %1\source\TLABEL.cpp %2\source\TLABEL.CC > source\diff\TLABEL.dif 
diff %1\source\TLISTBOX.cpp %2\source\TLISTBOX.CC > source\diff\TLISTBOX.dif 
diff %1\source\TLSTVIEW.cpp %2\source\TLSTVIEW.CC > source\diff\TLSTVIEW.dif 
diff %1\source\TMEMO.cpp %2\source\TMEMO.CC > source\diff\TMEMO.dif 
diff %1\source\TMENUBAR.cpp %2\source\TMENUBAR.CC > source\diff\TMENUBAR.dif 
diff %1\source\TMENUBOX.cpp %2\source\TMENUBOX.CC > source\diff\TMENUBOX.dif 
diff %1\source\TMNUVIEW.cpp %2\source\TMNUVIEW.CC > source\diff\TMNUVIEW.dif 
diff %1\source\TMOUSE.cpp %2\source\TMOUSE.CC > source\diff\TMOUSE.dif 
diff %1\source\TOBJECT.cpp %2\source\TOBJECT.CC > source\diff\TOBJECT.dif 
diff %1\source\TOBJSTRM.cpp %2\source\TOBJSTRM.CC > source\diff\TOBJSTRM.dif 
diff %1\source\TPARAMTE.cpp %2\source\TPARAMTE.CC > source\diff\TPARAMTE.dif 
diff %1\source\TPOINT.cpp %2\source\TPOINT.CC > source\diff\TPOINT.dif 
diff %1\source\TPROGRAM.cpp %2\source\TPROGRAM.CC > source\diff\TPROGRAM.dif 
diff %1\source\TRADIOBU.cpp %2\source\TRADIOBU.CC > source\diff\TRADIOBU.dif 
diff %1\source\HELP.cpp %2\source\HELP.CC > source\diff\HELP.dif 
diff %1\source\TRESFILE.cpp %2\source\TRESFILE.CC > source\diff\TRESFILE.dif 
diff %1\source\TSCREEN.cpp %2\source\TSCREEN.CC > source\diff\TSCREEN.dif 
diff %1\source\TSCRLBAR.cpp %2\source\TSCRLBAR.CC > source\diff\TSCRLBAR.dif 
diff %1\source\TSCROLLE.cpp %2\source\TSCROLLE.CC > source\diff\TSCROLLE.dif 
diff %1\source\TSORTCOL.cpp %2\source\TSORTCOL.CC > source\diff\TSORTCOL.dif 
diff %1\source\TSTATICT.cpp %2\source\TSTATICT.CC > source\diff\TSTATICT.dif 
diff %1\source\TSTATUSL.cpp %2\source\TSTATUSL.CC > source\diff\TSTATUSL.dif 
diff %1\source\TSTRCOLL.cpp %2\source\TSTRCOLL.CC > source\diff\TSTRCOLL.dif 
diff %1\source\TSTRLIST.cpp %2\source\TSTRLIST.CC > source\diff\TSTRLIST.dif 
diff %1\source\TVIEW.cpp %2\source\TVIEW.CC > source\diff\TVIEW.dif 
diff %1\source\TVTEXT1.cpp %2\source\TVTEXT1.CC > source\diff\TVTEXT1.dif 
diff %1\source\HELPBASE.cpp %2\source\HELPBASE.CC > source\diff\HELPBASE.dif 
diff %1\source\TEDITOR1.cpp %2\source\TEDITOR1.CC > source\diff\TEDITOR1.dif 
diff %1\source\TWINDOW.cpp %2\source\TWINDOW.CC > source\diff\TWINDOW.dif 
diff %1\source\TVTEXT2.cpp %2\source\TVTEXT2.CC > source\diff\TVTEXT2.dif 
diff %1\source\TRESCOLL.cpp %2\source\TRESCOLL.CC > source\diff\TRESCOLL.dif 
diff %1\source\TEDITOR2.cpp %2\source\TEDITOR2.CC > source\diff\TEDITOR2.dif 
diff %1\source\TFILEDTR.cpp %2\source\TFILEDTR.CC > source\diff\TFILEDTR.dif 
diff %1\source\SCHECKBO.cpp %2\source\SCHECKBO.CC > source\diff\SCHECKBO.dif 
diff %1\source\SCLRSEL.cpp %2\source\SCLRSEL.CC > source\diff\SCLRSEL.dif 
diff %1\source\SCLUSTER.cpp %2\source\SCLUSTER.CC > source\diff\SCLUSTER.dif 
diff %1\source\TINDICTR.cpp %2\source\TINDICTR.CC > source\diff\TINDICTR.dif 
diff %1\source\SDESKTOP.cpp %2\source\SDESKTOP.CC > source\diff\SDESKTOP.dif 
diff %1\source\SDIALOG.cpp %2\source\SDIALOG.CC > source\diff\SDIALOG.dif 
diff %1\source\SDIRCOLL.cpp %2\source\SDIRCOLL.CC > source\diff\SDIRCOLL.dif 
diff %1\source\SDIRLIST.cpp %2\source\SDIRLIST.CC > source\diff\SDIRLIST.dif 
diff %1\source\SEDITORS.cpp %2\source\SEDITORS.CC > source\diff\SEDITORS.dif 
diff %1\source\SFILCOLL.cpp %2\source\SFILCOLL.CC > source\diff\SFILCOLL.dif 
diff %1\source\SFILDLG.cpp %2\source\SFILDLG.CC > source\diff\SFILDLG.dif 
diff %1\source\SFILELST.cpp %2\source\SFILELST.CC > source\diff\SFILELST.dif 
diff %1\source\SFINFPNE.cpp %2\source\SFINFPNE.CC > source\diff\SFINFPNE.dif 
diff %1\source\SFINPUTL.cpp %2\source\SFINPUTL.CC > source\diff\SFINPUTL.dif 
diff %1\source\SFRAME.cpp %2\source\SFRAME.CC > source\diff\SFRAME.dif 
diff %1\source\SGROUP.cpp %2\source\SGROUP.CC > source\diff\SGROUP.dif 
diff %1\source\SHISTORY.cpp %2\source\SHISTORY.CC > source\diff\SHISTORY.dif 
diff %1\source\SINPUTLI.cpp %2\source\SINPUTLI.CC > source\diff\SINPUTLI.dif 
diff %1\source\SLABEL.cpp %2\source\SLABEL.CC > source\diff\SLABEL.dif 
diff %1\source\SLISTBOX.cpp %2\source\SLISTBOX.CC > source\diff\SLISTBOX.dif 
diff %1\source\SLSTVIEW.cpp %2\source\SLSTVIEW.CC > source\diff\SLSTVIEW.dif 
diff %1\source\SMENUBAR.cpp %2\source\SMENUBAR.CC > source\diff\SMENUBAR.dif 
diff %1\source\SMENUBOX.cpp %2\source\SMENUBOX.CC > source\diff\SMENUBOX.dif 
diff %1\source\SMNUVIEW.cpp %2\source\SMNUVIEW.CC > source\diff\SMNUVIEW.dif 
diff %1\source\SPARAMTE.cpp %2\source\SPARAMTE.CC > source\diff\SPARAMTE.dif 
diff %1\source\SRADIOBU.cpp %2\source\SRADIOBU.CC > source\diff\SRADIOBU.dif 
diff %1\source\SRESCOLL.cpp %2\source\SRESCOLL.CC > source\diff\SRESCOLL.dif 
diff %1\source\SSTATICT.cpp %2\source\SSTATICT.CC > source\diff\SSTATICT.dif 
diff %1\source\SSTATUSL.cpp %2\source\SSTATUSL.CC > source\diff\SSTATUSL.dif 
diff %1\source\SSTRCOLL.cpp %2\source\SSTRCOLL.CC > source\diff\SSTRCOLL.dif 
diff %1\source\SSTRLST.cpp %2\source\SSTRLST.CC > source\diff\SSTRLST.dif 
diff %1\source\STRMSTAT.cpp %2\source\STRMSTAT.CC > source\diff\STRMSTAT.dif 
diff %1\source\SVIEW.cpp %2\source\SVIEW.CC > source\diff\SVIEW.dif 
diff %1\source\SWINDOW.cpp %2\source\SWINDOW.CC > source\diff\SWINDOW.dif 
diff %1\source\TEXTVIEW.cpp %2\source\TEXTVIEW.CC > source\diff\TEXTVIEW.dif 
delempty source\diff
