/* intr.s (GVISION) */

	.globl	_int33
	.globl	_int16
	.globl	_int10
	.globl	_inportb
	.globl	_outportb
	.globl	_kbhit
	.globl  _GVgetkey

	.align 2
_int33:
	pushl	%ebx
	pushl	%esi
	pushl	%edi

	movl	16(%esp),%esi

	movl	(%esi),%eax
	movl	4(%esi),%ebx
	movl	8(%esi),%ecx
	movl	12(%esi),%edx

	int	$0x33

	movl	%edx,12(%esi)
	movl	%ecx,8(%esi)
	movl	%ebx,4(%esi)
	movl	%eax,(%esi)

	popl	%edi
	popl	%esi
	popl	%ebx
	ret

	.align 2
_int16:
	pushl	%ebx
	pushl	%esi
	pushl	%edi

	movl	16(%esp),%esi
	movl	(%esi),%eax

	int	$0x16

	popl	%edi
	popl	%esi
	popl	%ebx
	ret

	.align 2
_int10:
	pushl	%ebx
	pushl	%esi
	pushl	%edi
	pushl	%ebp
	
	movl	20(%esp),%esi

	movl	(%esi),%eax
	movl	4(%esi),%ebx
	movl	8(%esi),%ecx
	movl	12(%esi),%edx
	pushl	%esi

	int	$0x10

	popl	%esi
	movl	%edx,12(%esi)
	movl	%ecx,8(%esi)
	movl	%ebx,4(%esi)
	movl	%eax,(%esi)

	popl	%ebp
	popl	%edi
	popl	%esi
	popl	%ebx
	ret

	.align 2
_inportb:
	movl	4(%esp),%edx
	inb	%dx,%al
	movzbl	%al,%eax
	ret

	.align 2
_outportb:
	movl	4(%esp),%edx
	movl	8(%esp),%eax
	outb	%al,%dx
	ret

/* kbhit no. 1: The fast, interrupt-free version              */
/*              (But unable to handle some special key-codes; */
/*               the best way to do this would be to trap the */
/*               IRQ1 (interrupt-vector 0x9), like Turbo      */
/*               Vision does -- in real mode! This means we   */
/*               could poke the code into the unused BIOS     */
/*               area, the same like we did with the DOS      */
/*               critical error handler. Had no time to do    */
/*               this -- see tprogram.cc for details.)        */

/*
	.align 2
_kbhit:
	cli
	movw 0xE000041a,%ax
	cmpw 0xE000041c,%ax
	movl $0,%eax
	je L1
	movl $1,%eax
L1:
	sti
	ret
*/

/* kbhit no. 2: The slower interrupt version                  */
/*              (But puts the special key-codes into the      */
/*               buffer.)                                     */

_kbhit:
	pushl	%ebx
	pushl	%esi
	pushl	%edi

	movb	$0x11,%ah
	int	$0x16
	movl	$0,%eax
        jz      L1
        movl    $1,%eax
L1:
	popl	%edi
	popl	%esi
	popl	%ebx
	ret

.equ stShift, 0x3
.equ stCtrl,  0x4
.equ stAlt,   0x8

.equ scSpace, 0x39
.equ scIns,   0x52
.equ scDel,   0x53
.equ scIns1,  0x92
.equ scDel1,  0x93

.equ kbAltSpace, 0x0200
.equ kbCtrlIns,  0x0400
.equ kbShiftIns, 0x0500
.equ kbCtrlDel,  0x0600
.equ kbShiftDel, 0x0700


/* GVgetkey no. 1: The fast, interrupt-free version           */
/*                 (The special key-codes should be present   */
/*                  in the buffer by now!)                    */

	.align 2
_GVgetkey:
	cli
	xorl %ecx,%ecx
	xorl %eax,%eax
	movw 0xE000041a,%cx
	movw 0xE0000400(%ecx),%ax
	cmpb $224,%al
	jne L2
	xorb %al,%al
L2:
	addw $2,%cx
	cmpw $62,%cx
	jl L3
	movw $30,%cx
L3:
	movw %cx,0xE000041a

	movb 0xE0000417,%cl

	testb $stAlt,%cl
        je L4
        cmpb $scSpace,%ah
	jne Lend
	movw $kbAltSpace,%ax
	jmp Lend

L4:	testb $stCtrl,%cl
	je L6
	cmpb $scIns1,%ah
	jne L5
	movw $kbCtrlIns,%ax
	jmp Lend
L5:	cmpb $scDel1,%ah
	jne Lend
	movw $kbCtrlDel,%ax
	jmp Lend

L6:	testb $stShift,%cl
	je Lend
	cmpb $scIns,%ah
	jne L7
	movw $kbShiftIns,%ax
	jmp Lend
L7:	cmpb $scDel,%ah
	jne Lend
	movw $kbShiftDel,%ax

Lend:	sti
	ret

/* GVgetkey no. 2: The slower interrupt version (not needed)  */
/*                 (The special key-codes should be present   */
/*                  in the buffer by now!)                    */

/*
	.align 2
_GVgetkey:
	pushl	%ebx
	pushl	%esi
	pushl	%edi

	movb $0x10,%ah
	int $0x16
	cmpb $224,%al
	jne L2
	xorb %al,%al

L2:	movb 0xE0000417,%bl

	testb $stAlt,%bl
        je L4
        cmpb $scSpace,%ah
	jne Lend
	movw $kbAltSpace,%ax
	jmp Lend

L4:	testb $stCtrl,%bl
	je L6
	cmpb $scIns1,%ah
	jne L5
	movw $kbCtrlIns,%ax
	jmp Lend
L5:	cmpb $scDel1,%ah
	jne Lend
	movw $kbCtrlDel,%ax
	jmp Lend

L6:	testb $stShift,%bl
	je Lend
	cmpb $scIns,%ah
	jne L7
	movw $kbShiftIns,%ax
	jmp Lend
L7:	cmpb $scDel,%ah
	jne Lend
	movw $kbShiftDel,%ax

Lend:	popl	%edi
	popl	%esi
	popl	%ebx
	ret
*/
